# Get transactions

#### Transaction filtering
+ page: Page number
+ count: Number of customers per page
+ account_id: Checkout ID
+ supplier_id: Supplier ID
+ client_id: Client ID
+ user_id: user ID
+ master_id: team member ID
+ type: transaction type
+ real_money: Indicates whether this is a real-money (fiat) transaction
+ deleted: whether the transaction was deleted
+ start_date: start date of the period
+ end_date: end date of the period
+ balance_is: 0 - any balance, 1 - positive, 2 - negative
+ document_id: document ID

Endpoint: GET /transactions/{location_id}
Version: 1.0.0
Security: BearerPartnerUser

## Description:

  - `Transaction filtering` ()
    page: Page numbercount: Number of customers per pageaccount_id: Checkout IDsupplier_id: Supplier IDclient_id: Client IDuser_id: user IDmaster_id: team member IDtype: transaction typereal_money: Indicates whether this is a real-money (fiat) transactiondeleted: whether the transaction was deletedstart_date: start date of the periodend_date: end date of the periodbalance_is: 0 - any balance, 1 - positive, 2 - negativedocument_id: document ID

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (number, required)
    location ID

## Query parameters:

  - `page` (number)
    Page number

  - `count` (number)
    Number of customers per page

  - `account_id` (number)
    Checkout ID

  - `supplier_id` (number)
    Supplier ID

  - `client_id` (number)
    Client ID

  - `user_id` (number)
    User ID

  - `master_id` (number)
    team member ID

  - `type` (number)
    transaction type

  - `real_money` (number)
    Indicates whether this is a real-money (fiat) transaction

  - `deleted` (number)
    whether the transaction was deleted

  - `start_date` (number)
    period start date

  - `end_date` (number)
    period end date

  - `balance_is` (number)
    0 - any balance, 1 - positive, 2 - negative

  - `document_id` (number)
    document ID

## Header parameters:

  - `Accept` (string, required)
    e.g. application/vnd.api.v2+json

  - `Content-Type` (string, required)
    application/json

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (array)
    Array of objects with data

  - `data.id` (number)
    Transaction ID

  - `data.document_id` (number)
    Document ID

  - `data.expense` (object)
    Payment type

  - `data.expense.id` (number)
    Payment type ID

  - `data.expense.title` (string)
    Payment type name

  - `data.date` (string)
    Transaction creation date

  - `data.amount` (number)
    Transaction amount

  - `data.comment` (string)
    A comment

  - `data.master` (object)
    Team Member

  - `data.master.id` (number)
    team member ID

  - `data.master.title` (string)
    team member name

  - `data.supplier` (object)
    counterparty

  - `data.supplier.id` (number)
    Supplier ID

  - `data.supplier.title` (string)
    Counterparty name

  - `data.account` (object)
    Location account

  - `data.account.id` (number)
    Checkout ID

  - `data.account.title` (string)
    Location account name

  - `data.client` (object)
    Customer

  - `data.client.id` (number)
    Client ID

  - `data.client.name` (string)
    Client name

  - `data.client.phone` (string)
    Customer phone

  - `data.last_change_date` (string)
    Last modified date

  - `data.record_id` (number)
    Appointment ID

  - `data.visit_id` (number)
    Visit ID

  - `data.sold_item_id` (number)
    Identifier of the sold product/service

  - `data.sold_item_type` (number)
    Sale entity type (product/service)

  - `meta` (array)
    Metadata (empty array)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

